<?php

// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'BigHugGym Petržalka',

	// preloading 'log' component
	'preload'=>array('log'),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
	),

	'modules'=>array(
		// uncomment the following to enable the Gii tool
		
		'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'ragnarok',
			// If removed, Gii defaults to localhost only. Edit carefully to taste.
			'ipFilters'=>array('127.0.0.1','::1','188.167.89.184'),
		),
		
	),

	// application components
	'components'=>array(
    'helper'=>array('class'=>'Helper'),
		'user'=>array(
			// enable cookie-based authentication
			'allowAutoLogin'=>true,
		),

		// uncomment the following to enable URLs in path-format
		/*
		'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
		),
		*/

		// database settings are configured in database.php
		'db'=>require(dirname(__FILE__).'/database.php'),

		'errorHandler'=>array(
			// use 'site/error' action to display errors
			'errorAction'=>'site/error',
		),

		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
				),
				// uncomment the following to show log messages on web pages
				/*
				array(
					'class'=>'CWebLogRoute',
				),
				*/
			),
		),

	),

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>array(
		// this is used in contact page
		'adminEmail'=>'petrzalka@bighuggym.sk',
                'controlEmail' => 'kontrola.petrzalka@bighuggym.sk',
                'gymPhone' => '+(421)918788908',
                'gymAddress' => 'Zehrianska 6, <br />Petržalka 851 07, <br />Bratislava 5',
                'gymDesc' => 'BigHugGym Petržalka ako aj naše ostatné prevádzky je situovaná v lokalite kde je výborná dostupnosťako autom tak aj MHD. Najrýchlejšie sa k nám dostaneme autom z centra mesta resp. ostatnýchmestských častí Bratislavy po Panonskej ceste z jednej strany Petržalky alebo po Dolnozemskej cestez opačnej strany. Autobusovou dopravou sa k nám dostanete najlepšie ak vystúpite na zastávkeJasovská kde pravidelne chodia spoje č.91,98 a 191 alebo na zastávke Zehrianska kde chodia spoje č.90 a 98. Nájdete nás v novovybudovanom areáli ,,Petržalskom centre pre rodiny,, na prvom poschodí.',
                'gymAccount_sro' => 'SK78 0200 0000 0039 6365 7551',
                'gymAccount_oz' => 'SK78 0200 0000 0039 6365 7551',
	),
);
