<?php

class Helper extends CApplicationComponent {

    public static function isLoggedIn() {
        if (Yii::app()->user->isGuest === 1)
            return 1;
        else
            return 0;
    }

    public static function drawParentForm($form, $model) {
        ?>
        <p>Polia označené <span class="required">*</span> sú povinné.</p>
        <div id="parent" style="padding: 5px; border: solid 1px #ccc; margin-bottom: 25px;">
            <h5>Rodič / Zodpovedná osoba</h5>
            <div class="clearfix" style="margin-top:10px;">
                <div class="grid_6 alpha mb">
                    <div class="grid_3"><?php echo $form->labelEx($model, 'name'); ?></div>
                    <div class="grid_7"><?php echo $form->textField($model, 'name', array('required' => 'required', 'type' => 'text')); ?></div>
                    <?php echo $form->error($model, 'name'); ?>
                </div>

                <div class="grid_6 alpha">
                    <div class="grid_3"><?php echo $form->labelEx($model, 'surname'); ?> </div>
                    <div class="grid_7"><?php echo $form->textField($model, 'surname', array('required' => 'required', 'type' => 'text')); ?> </div>
                    <?php echo $form->error($model, 'surname'); ?>
                </div>
            </div>

            <div class="clearfix" style="margin-top:10px;">
                <div class="grid_6 alpha mb">
                    <div class="grid_3"><?php echo $form->labelEx($model, 'email'); ?>  </div>
                    <div class="grid_7"><?php echo $form->textField($model, 'email', array('required' => 'required', 'type' => 'email')); ?> </div>
                    <?php echo $form->error($model, 'email'); ?>
                </div>

                <div class="grid_6 alpha">
                    <div class="grid_3"><?php echo $form->labelEx($model, 'phone_num'); ?>  </div>
                    <div class="grid_7"><?php echo $form->textField($model, 'phone_num', array('required' => 'required', 'type' => 'tel')); ?>  </div>
                    <?php echo $form->error($model, 'phone_num'); ?>
                </div>
            </div>

            <div class="row">
                <?php echo $form->hiddenField($model, 'rights_ID', array('value' => '2')); ?>
                <?php echo $form->hiddenField($model, 'user_name', array('required' => 'required')); ?>
            </div>
        </div>


        <div id="kids" style="padding: 5px; border: solid 1px #ccc;">
            <div class="">Počet detí na prihlásenie *</div>
            <select name="pocet_deti" id="pocet_deti" required>
                <option>1</option>
                <option>2</option>
                <option>3</option>
                <option>4</option>
                <option>5</option>
            </select>
        </div>
        <?php
    }

    public static function getHours() {
        $harray = ['07:00:00', '07:30:00', '08:00:00', '08:30:00', '09:00:00', '09:30:00', '10:00:00', '10:30:00',
            '11:00:00', '11:30:00', '12:00:00', '12:30:00', '13:00:00', '13:30:00','14:00:00', '14:30:00',
            '15:00:00', '15:30:00', '16:00:00', '16:30:00', '17:00:00', '17:30:00', '18:00:00', '18:30:00', '19:00:00', '19:30:00', '20:00:00',
            '20:30:00'];
        return $harray;
    }

    public static function drawKidForm($f, $rozvrhy, $adjust = array()) {

        function numberOfEnl($id_tt, $id_gym, $adjust = array()) {
            $edit = 0;
            if (in_array($id_tt, $adjust)) {
                $tmp = array_count_values($adjust);
                $edit = $tmp[$id_tt];
            }
            $count = Enlist::model()->countByAttributes(array(//Enlist
                'ID_timet' => $id_tt
            ));
            $count += $edit;
            $from = Gyms::model()->findByPK($id_gym);

            if (((int) $from->capacity - (int) $count) < 0) {
                return 0;
            } else
                return (int) $from->capacity - (int) $count;
            //return $count. '/'. $from->capacity;
        }

        function isFull($id_tt, $id_gym, $adjust = array()) {
            $edit = 0;
            if (in_array($id_tt, $adjust)) {
                $tmp = array_count_values($adjust);
                $edit = $tmp[$id_tt];
            }
            $count = Enlist::model()->countByAttributes(array(//Enlist
                'ID_timet' => $id_tt
            ));
            $count += $edit;
            $from = Gyms::model()->findByPK($id_gym);
            $capacity = (int) $from->capacity;

            if ($count >= $capacity)
                return true;
            else
                return false;
        }
        ?>
        <!--KIDS-->
        <?php
        //print_r($adjust);
        //print_r(array_count_values($adjust));
        ?>
        <div id="kids" style="padding: 5px; border: solid 1px #ccc;">
            <h5>Dieťa <?php echo $f; ?>. z <?php echo $_SESSION['nkids']; ?> </h5>
            <div class="clearfix" style="margin-top:10px;">
                <div class="grid_6 alpha mb">
                    <div class="grid_3">Meno dieťaťa</div>
                    <div class="grid_7"><input required="required" type="text" name="Kids[name]" class="Kids_name" maxlength="45"></div>
                </div>
                <div class="grid_6 alpha">
                    <div class="grid_3">Priezvisko dieťaťa</div>
                    <div class="grid_7"><input required="required" type="text" name="Kids[surname]" class="Kids_surname" maxlength="45" value="<?php
                        if (isset($_SESSION['parent']['surname'])) {
                            echo $_SESSION['parent']['surname'];
                        }
                        ?>"></div>
                </div>
            </div>

            <div class="clearfix" style="margin-top:10px;">
                <div class="grid_6 alpha mb">
                    <div class="grid_3 mb">
                        <div class="grid_3">Narodenie dieťaťa</div>
                    </div>
                    <div class="grid_3 mb">
                        <select class="dropDownMenu daysDDM requiredField" id="dob" name="Kids[dob]" style="width: 100%;" required>
                            <option value="">Deň *</option>
                        </select>
                    </div>
                    <div class="grid_3 mb">

                        <select class="dropDownMenu monthsDDM requiredField" id="mob" name="Kids[mob]" style="width: 100%;" required>
                            <option value="">Mesiac *</option>
                        </select>
                    </div>
                    <div class="grid_3 mb">

                        <select class="dropDownMenu yearsDDM requiredField" id="yob" name="Kids[yob]" style="width: 100%;" required>
                            <option value="">Rok *</option>
                        </select>
                    </div>
                </div>

                <div class="grid_6 alpha">
                    <div class="grid_3"><?php echo "Kurz*<br />"; ?> </div>
                    <div class="grid_7"><input type="text" name="label_lesson" id="label_lesson" value="" required disabled />
                        <input type="hidden" name="Kids[lesson]" id="Kids_lesson" value="" required disabled />
                        <!--
                        <select name="Kids[lesson]" id="Kids_lesson" required >

                          <option value=""></option>
                                        <option value="hrosikovia">Hrošíkovia (16 - 24 MESIACOV)</option>
                          <option value="zabky">Žabky (2 - 3 ROKY)</option>
                                        <option value="zajacikovia">Zajačikovia (4 - 6 ROKOV)</option>
                                        <option value="orangutani">Orangutani (7 - 9 ROKOV)</option>
                                        <option value="gepardi">Gepardi (10 - 12ROKOV )</option>
                                        <option value="levy">Levy (13+ ROKOV)</option>
                                </select>
                        -->
                    </div>
                </div>
            </div>

            <div class="clearfix" style="margin-top:10px;">
                <div class="grid_12 mb">
                    <div class="grid_6 alpha mb">Želaná frekvencia návštev za týždeň</div>
                    <div class="grid_6">
                        <div class="grid_3"><input type="radio" id="Kids_frequency" class="Kids_frequency" name="Kids[frequency]" value="1" uncheckValue="null" checked required/> 1x </div>
                        <div class="grid_7"><input type="radio" id="Kids_frequency" class="Kids_frequency" name="Kids[frequency]" value="2" uncheckValue="null" />  2x </div>
                    </div>
                </div>
            </div>


            <div class="clearfix" style="margin-top:10px;">
                <div class="grid_12 alpha mb">
                    <div class="grid_6">Poznámky</div>
                    <div class="grid_6"><textarea rows="4" cols="42" name="Kids[notes]"></textarea></div>
                </div>
            </div>

            <!--KIDS-->
            <?php
                $cls = Classes::model()->findAll();
                $classes = array();
                foreach ($cls as $one){
                    $classes[$one->ID] = $one;
                }
            ?>
            <!--ENLIST-->
            <div id="enlist">

                <div class='timetables'>
                    <?php
                    $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
                    $hodiny = Yii::app()->helper->getHours();
                    ?>
                    <p>
                    <h5>Vyberte prosím Vami preferovanú hodinu (hodiny) z týždenného rozvrhu nižšie*</h5>
                    Farebne odlíšené políčka zobrazujú dostupné hodiny na základe kurzu vhodného pre Vaše dieťa.<br />
                    Čísla označujú počet voľných miest na danej hodine.<br />
                    <br />
                    <strong>Žltá farba</strong> znamená, že na danej hodine sú voľné miesta, môžete sa ihneď prihlásiť.<br />
                    <strong>Zelená farba</strong> znamená, že hodina bude otvorená hneď, ako sa na ňu prihlási minimálny potrebný počet záujemcov a následne Vás budeme ihneď informovať.<br />
                    <strong>Sivá farba</strong> znamená, že daná hodina je momentálne plná. Môžete sa však prihlásiť na čakaciu listinu. V prípade, že sa uvoľní miesto, alebo sa otvorí v danom termíne nová hodina, dáme Vám obratom vedieť.<br />
                    <br />

                    <table>
                        <tr>
                            <th>Čas:</th>
                            <?php
                            foreach ($dni as $day) {
                                echo '<th width="104">' . $day . '</th>';
                            }
                            ?>
                        </tr>

                        <?php
                        foreach ($hodiny as $hour) {
                            echo '<tr>';
                            echo '<td>' . substr($hour, 0, -3) . '</td>';
                            for ($i = 1; $i < 8; $i++) {
                                $toprint = "";
                                foreach ($rozvrhy as $single) {

                                    if ($single->trainer_alt != NULL) {
                                        $t2 = Users::model()->findByPk($single->trainer_alt);
                                        $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname . ',<br />' . $t2->name . ' ' . $t2->surname;
                                    } else {
                                        $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname;
                                    }

                                    if (($single->time_start == $hour) && ($single->week_day == $i)) {
                                        if (!(isFull($single->ID, $single->gym_ID, $adjust))) {
                                            if ($single->active === '0') {
                                                $toprint .= '<div style="padding: 5px 0px;" class="interest_check" ><input type="checkbox" required class="allcheckbox ' . $single->lesson . '" id="' . $single->ID . '" name="Kids[enlist][]" value="' . $single->ID . '" disabled >' . numberOfEnl($single->ID, $single->gym_ID, $adjust) . '<br /> <span style="text-transform: uppercase; font-weight: bold">' . $classes[$single->lesson]->name . '</span><br />' . $trainer_str . '</div>';
                                            } else {
                                                $toprint .= '<div style="padding: 5px 0px;"><input type="checkbox" required class="allcheckbox ' . $single->lesson . '" id="' . $single->ID . '" name="Kids[enlist][]" value="' . $single->ID . '" disabled >' . numberOfEnl($single->ID, $single->gym_ID, $adjust) . '<br /> <span style="text-transform: uppercase; font-weight: bold">' . $classes[$single->lesson]->name . '</span><br />' . $trainer_str . '</div>';
                                            }
                                        } else {
                                            $toprint .= '<div style="padding: 5px 0px;" class="for_q" ><input type="checkbox" class="allcheckbox query_check  ' . $single->lesson . '" name="Kids[query][]" value="' . $single->ID . '" disabled/>!' . numberOfEnl($single->ID, $single->gym_ID, $adjust) . '<br /> <span style="text-transform: uppercase; font-weight: bold">' . $classes[$single->lesson]->name . '</span><br />' . $trainer_str . '</div>';
                                        }
                                    }
                                }
                                if ($toprint != "") {
                                    echo '<td>' . $toprint . '</td>';
                                } else {
                                    echo '<td></td>';
                                }
                            }
                            echo '</tr>';
                        }
                        ?>
                    </table>
                </div>
            </div>
            <!--ENLIST-->
        </div> <br />
        <div id="tableError" style="color: #A31035;"></div>
        <?php
    }

    public static function generateHours($kID, $begin, $end) { //
        $enld1 = Enlist::model()->with(array('iDK' => array('condition' => 'iDK.ID=' . $kID), 'iDTimet' => array('condition' => 'iDTimet.week_day=1')))->findAll();
        $enld2 = Enlist::model()->with(array('iDK' => array('condition' => 'iDK.ID=' . $kID), 'iDTimet' => array('condition' => 'iDTimet.week_day=2')))->findAll();
        $enld3 = Enlist::model()->with(array('iDK' => array('condition' => 'iDK.ID=' . $kID), 'iDTimet' => array('condition' => 'iDTimet.week_day=3')))->findAll();
        $enld4 = Enlist::model()->with(array('iDK' => array('condition' => 'iDK.ID=' . $kID), 'iDTimet' => array('condition' => 'iDTimet.week_day=4')))->findAll();
        $enld5 = Enlist::model()->with(array('iDK' => array('condition' => 'iDK.ID=' . $kID), 'iDTimet' => array('condition' => 'iDTimet.week_day=5')))->findAll();
        $enld6 = Enlist::model()->with(array('iDK' => array('condition' => 'iDK.ID=' . $kID), 'iDTimet' => array('condition' => 'iDTimet.week_day=6')))->findAll();
        $enld7 = Enlist::model()->with(array('iDK' => array('condition' => 'iDK.ID=' . $kID), 'iDTimet' => array('condition' => 'iDTimet.week_day=7')))->findAll();
        //vygenerovat hours

        $response = array();

        //toto potrebujem
        $date = $begin;
        $end_date = $end;


        //prazdniny
        $holiday = Holiday::model()->findAll();
        $hol_array = array();

        foreach ($holiday as $hd) {
            $date_ = $hd->date_start;
            if (isset($hd->date_end)) {
                $end_date_ = $hd->date_end;
            } else {
                $end_date_ = $hd->date_start;
            }
            while (strtotime($date_) <= strtotime($end_date_)) {
                $hol_array[] = $date_;
                $date_ = date("Y-m-d", strtotime("+1 day", strtotime($date_)));
            }
        }

        function insertHour($single, $date) {
            $mod = new Hours('GenSemester');
            $mod->date = $date;
            $mod->ID_timet = $single->ID_timet;
            $mod->week_day = $single->iDTimet->week_day;
            $mod->time_start = $single->iDTimet->time_start;
            $mod->time_end = $single->iDTimet->time_end;
            $mod->lesson = Classes::model()->findByPk($single->iDTimet->lesson)->name;
            $mod->trainer = $single->iDTimet->trainer;
            $mod->trainer_alt = $single->iDTimet->trainer_alt;
            $mod->ID_kids = $single->ID_kid;
            $mod->name = $single->iDK->name;
            $mod->surname = $single->iDK->surname;
            $mod->present = 0;
            $mod->tryout = 0;
            $mod->notes = NULL;
            if ($mod->validate()) {
                if ($mod->save()) {
                    return $mod;
                }
            }
        }

        while (strtotime($date) <= strtotime($end_date)) {
            if (!(in_array($date, $hol_array))) {
                switch (date('D', strtotime($date))) {
                    case 'Mon':
                        //echo ' pondelok<br >';
                        foreach ($enld1 as $single) {
                            $response[] = insertHour($single, $date);
                        }
                        break;
                    case 'Tue':
                        //echo ' utorok<br />';
                        foreach ($enld2 as $single) {
                            $response[] = insertHour($single, $date);
                        }
                        break;
                    case 'Wed':
                        foreach ($enld3 as $single) {
                            $response[] = insertHour($single, $date);
                        }
                        break;
                    case 'Thu':
                        foreach ($enld4 as $single) {
                            $response[] = insertHour($single, $date);
                        }
                        break;
                    case 'Fri':
                        foreach ($enld5 as $single) {
                            $response[] = insertHour($single, $date);
                        }
                        break;
                    case 'Sat':
                        foreach ($enld6 as $single) {
                            $response[] = insertHour($single, $date);
                        }
                        break;
                    case 'Sun':
                        foreach ($enld7 as $single) {
                            $response[] = insertHour($single, $date);
                        }
                        break;
                }
            }
            $date = date("Y-m-d", strtotime("+1 day", strtotime($date)));
        }
    }

    public static function insertHomeScreen() {
        ?>
        <div style="border: 1px solid lightgray; padding: 25px">
          <?php
          $data = Settings::model()->findByAttributes(
            array(
              'type'=>'home_screen'
            )
          );
          print_r($data->data);
          ?>
        </div>
        <?php
    }

}
?>
